> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Updated List of Custom Emojis > Get a list of updated and removed emojis. ### Changelog | Version | Description | | ---------------- | ------------| |7.0.0 | Added `_id` and `_updatedAt` query parameter | |0.75.0 | Added | ## OpenAPI ````json GET /api/v1/emoji-custom.list { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Content Management" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Assets" }, { "name": "Custom Emoji" }, { "name": "Custom Sounds" }, { "name": "Custom User Status" } ], "paths": { "/api/v1/emoji-custom.list": { "get": { "tags": [ "Custom Emoji" ], "summary": "Get Updated List of Custom Emojis", "description": "Get a list of updated and removed emojis.\n\n### Changelog\n| Version | Description | \n| ---------------- | ------------|\n|7.0.0 | Added `_id` and `_updatedAt` query parameter |\n|0.75.0 | Added |", "operationId": "get-api-v1-emoji-custom.list", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "name": "updatedSince", "in": "query", "description": "Date since the emojis were updated. Format: ISO string. When you provide the `updatedSince` query parameter in the URL then the `update` and `remove` in the response will contain only those updated and removed since this date and time.", "schema": { "type": "string" }, "example": "2017-11-25T15:08:17.248Z" }, { "name": "_updatedAt", "in": "query", "description": "", "schema": { "type": "string" }, "example": "2024-11-02T06:40:43.751Z" }, { "name": "_id", "in": "query", "description": "Filter list by custom emoji id.", "schema": { "type": "string" }, "example": "6725ca0a101755229a8cb3bf" } ], "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "type": "object", "properties": { "emojis": { "type": "object", "properties": { "update": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "aliases": { "type": "array", "items": { "type": "object" } }, "extension": { "type": "string" }, "_updatedAt": { "type": "string" } } } }, "remove": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "aliases": { "type": "array", "items": { "type": "object" } }, "extension": { "type": "string" }, "_updatedAt": { "type": "string" } } } } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "emojis": { "update": [ { "_id": "S5XvYppoLrLd9JvQm", "name": "teste", "aliases": [], "extension": "jpg", "_updatedAt": "2019-02-18T16:48:35.119Z" } ], "remove": [ { "_id": "2dbVBG434dnsdh23", "name": "teste3", "aliases": [], "extension": "jpg", "_updatedAt": "2019-02-18T16:48:35.119Z" } ] }, "success": "true" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````